%define anolis_release 1

Summary:        A powerful declarative parser/builder for binary data
Name:           python-construct
Version:        2.10.68
Release:        %{anolis_release}%{?dist}
License:        MIT
URL:            http://construct.readthedocs.org
Source0:        https://files.pythonhosted.org/packages/e0/b7/a4a032e94bcfdff481f2e6fecd472794d9da09f474a2185ed33b2c7cad64/construct-2.10.68.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Construct is a powerful declarative parser (and builder) for binary
data.

Instead of writing imperative code to parse a piece of data, you
declaratively define a data structure that describes your data. As
this data structure is not code, you can use it in one direction to
parse data into Pythonic objects, and in the other direction, convert
(build) objects into binary data.}

%description %_description
%package     -n python3-construct
Summary:        %summary
Requires:       python3-six
%description -n python3-construct %_description

%package -n     python3-construct-doc
Summary:        doc files for python3-construct
Requires:       python3-construct = %{version}-%{release}

%description -n python3-construct-doc
doc files for python3-construct

%prep
%autosetup -n construct-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-construct
%license LICENSE
%{python3_sitelib}/construct
%{python3_sitelib}/construct-%{version}.dist-info/

%files -n python3-construct-doc
%doc README.rst

%changelog
* Wed Mar 15 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.10.68-1
- Init upstream from version 2.10.68
